Get historical gas sponsorship usage (deprecated)
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/gas-sponsors/chains/{chainId}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/gas-sponsors/chains/{chainId}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/gas-sponsors/chains/{chainId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "75ZfLXXsSpycDvHTQuHnGQuYgd2ihb6Bu4viiCCQ7P4H",
"chainId": "solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1",
"usageData": [
{
"month": "June",
"year": 2025,
"usage": "0.011249279999999794",
"txCount": 921
},
{
"month": "May",
"year": 2025,
"usage": "0.01",
"txCount": 2
}
],
"totalUsage": "0.021249279999999794",
"totalTxsSponsored": 923
}{
"error": "<string>"
}{
"error": "<string>"
}Gas Sponsorship
Get historical gas sponsorship usage (deprecated)
deprecated
Deprecated. Use GET /custodians/me/gas-sponsorship/chains instead.
Retrieves historical gas sponsorship usage by chain for your Portal environment.
GET
/
custodians
/
me
/
gas-sponsors
/
chains
/
{chainId}
/
usage
Get historical gas sponsorship usage (deprecated)
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The CAIP-2 chain ID. Be sure the colon (:) is URI-encoded as %3A in the URL.
Was this page helpful?
⌘I